#### Previous topic

scipy.ndimage.maximum

#### Next topic

scipy.ndimage.mean

# scipy.ndimage.maximum_position

`scipy.ndimage.``maximum_position`(input, labels=None, index=None)

  Find the positions of the maximums of the values of an array at labels.

  For each region specified by labels, the position of the maximum value of input within the region is returned.

  Parameters:

  input : array_like

  > Array_like of values.

  labels : array_like, optional

  > An array of integers marking different regions over which the position of the maximum value of input is to be computed. labels must have the same shape as input. If labels is not specified, the location of the first maximum over the whole array is returned.

  > The labels argument only works when index is specified.

  index : array_like, optional

  > A list of region labels that are taken into account for finding the location of the maxima. If index is None, the first maximum over all elements where labels is non-zero is returned.

  > The index argument only works when labels is specified.

  Returns:

  output : list of tuples of ints

  > List of tuples of ints that specify the location of maxima of input over the regions determined by labels and whose index is in index.

  > If index or labels are not specified, a tuple of ints is returned specifying the location of the `first` maximal value of input.

  See also

  `label`, `minimum`, `median`, `maximum_position`, `extrema`, `sum`, `mean`, `variance`, `standard_deviation`